Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ arm64 ], all versions are unstable: [ 1.1.12-r1, 8.0.19, 8.0.20, 8.0.21, 8.0.22, 8.0.23, 8.0.24, 8.0.25 ]
  • 8.0.25
    • LaggingStable
      slot(0), stabled arches: [ amd64, x86 ], lagging: [ ~arm, ~ppc, ~ppc64, ~sparc ]
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potential: [ ~arm64 ]
  • 8.0.24
  • 8.0.23
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 8.0.24, 8.0.25
  • 8.0.22
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 8.0.24
  • 8.0.21
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 8.0.22, 8.0.24
  • 8.0.20
    • DeprecatedEclass
      uses deprecated eclass: cmake-utils (migrate to cmake.eclass)
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 8.0.21, 8.0.22, 8.0.23, 8.0.24, 8.0.25
  • 8.0.19
    • DeprecatedEclass
      uses deprecated eclass: cmake-utils (migrate to cmake.eclass)
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 8.0.21, 8.0.22, 8.0.24
  • 1.1.12-r1
    • DeprecatedEclass
      uses deprecated eclass: cmake-utils (migrate to cmake.eclass)
    • DeprecatedInsinto
      deprecated insinto usage (use docinto/dodoc instead), line 59: insinto /usr/share/doc/${PF}/examples
    • OutdatedBlocker
      outdated blocker DEPEND="!<dev-db/mysql-connector-c-6.1.8": last match removed 3.58 years ago
    • OutdatedBlocker
      outdated blocker RDEPEND="!<dev-db/mysql-connector-c-6.1.8": last match removed 3.58 years ago

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.